*
{
  color: black;
  background-color: #eaeaff;
  margin: 0;
  padding: 0;
}

#game
{
  display: block;
  justify-content: center;
  margin: auto;
  margin-top: 2em;
  margin-bottom: 1em;
}

#grid
{
  font-size: 22pt;
  color: white;
  margin: auto;
}

#grid tr
{
  height: 2ex;
  margin-top: 4px;
  margin-bottom: 4px;
  padding-top: 0px;
  padding-bottom: 0px;
}

#grid tr td.cell
{
  width: 2.5ex;
  text-align: center;
  margin-left: 4px;
  margin-right: 4px;
  padding-top: 0px;
  padding-bottom: 0px;
  border: 2px solid white;
}

#grid tr td.blank    {  background-color: #454545; }
#grid tr td.close    {  background-color: #504040; }
#grid tr td.right    {  background-color: #30ff00 !important; }
#grid tr td.failed   {  background-color: #30ff00 !important; }
#grid tr td.active   {  background-color: #ffff30 !important; }

#guess
{
  font-size: 22pt;
  margin: 1em auto 0em auto;
}

#guess tr td.locked    { border-color: #a05e50; }
#guess tr td.right     { background-color: #50ae50; }
#guess tr td.close     { background-color: #808e50; }

#guess td.cell
{
  text-align: center;
}

#guess td.guess
{
  width: 2ex;
  margin-left: 0px;
  margin-right: 0px;
  padding-top: 4px;
  padding-bottom: 4px;
  border: 2px solid white;
}

#keyboard
{
  display: block;
  justify-content: center;
  font-size: 10pt;
  margin: 2ex auto 2ex auto;
  user-select: none;
}

#keyboard div.row
{
  display: flex;
  justify-content: center;
}

#keyboard div.key
{
  border: 1px solid black;
  border-radius: 0.5rem;
  background-color: #d0d0d0;
  color: black;
  width: 1.8rem;
  text-align: center;
  vertical-align: middle;
  margin: 3px;
  padding: 6px 4px 6px 4px;
}

#keyboard div.widekey
{
  border: 1px solid black;
  background-color: #d0d0d0;
  color: black;
  width: 4.5em;
  text-align: center;
  vertical-align: middle;
  margin: 3px;
  padding: 6px 4px 6px 4px;
}

#keyboard div.disabled
{
  background-color: #606060 !important;
}

#keyboard div.encouraged
{
  background-color: #209020;
}

#keyboard div.discouraged
{
  background-color: #909090;
}

#keyboard .key:hover .widekey:hover
{
  background-color: yellow;
}

#keyboard .key .pressed
{
  background-color: yellow;
}

#intro
{
  text-align: center;
}

#intro h1
{
  font-size: 18pt;
}

#intro h2
{
  font-size: 14pt;
}
